## com.baidubce.services.bos.model
Class PartSummary

    java.lang.Object
      com.baidubce.services.bos.model.PartSummary

    public class PartSummary

extends Object

Container for summary information about a part in a multipart upload, such as part number, size, etc.

Constructor Summary
`PartSummary()`

Method Summary
`String` `getETag()` Returns the entity tag generated from the part content.
`Date` `getLastModified()` Returns the date this part was last modified.
`int` `getPartNumber()` Returns the part number describing this part's position relative to the other parts in the multipart upload.
`long` `getSize()` Returns the size of this part, in bytes.
`void` `setETag(String eTag)` Sets the entity tag generated from the part content.
`void` `setLastModified(Date lastModified)` Sets the date this part was last modified.
`void` `setPartNumber(int partNumber)` Sets the part number describing this part's position relative to the other parts in the multipart upload.
`void` `setSize(long size)` Sets the size of this part, in bytes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PartSummary

    public PartSummary()

Method Detail

### getPartNumber

    public int getPartNumber()

  Returns the part number describing this part's position relative to the other parts in the multipart upload. Part number must be between 1 and 10,000 (inclusive).

  Returns:
    the part number describing this part's position relative to the other parts in the multipart upload. Part number must be between 1 and 10,000 (inclusive).

### setPartNumber

    public void setPartNumber(int partNumber)

  Sets the part number describing this part's position relative to the other parts in the multipart upload. Part number must be between 1 and 10,000 (inclusive).

  Parameters:
    `partNumber` - the part number describing this part's position relative to the other parts in the multipart upload. Part number must be between 1 and 10,000 (inclusive).

### getLastModified

    public Date getLastModified()

  Returns the date this part was last modified.

  Returns:
    the date this part was last modified.

### setLastModified

    public void setLastModified(Date lastModified)

  Sets the date this part was last modified.

  Parameters:
    `lastModified` - the date this part was last modified.

### getETag

    public String getETag()

  Returns the entity tag generated from the part content.

  Returns:
    the entity tag generated from the part content.

### setETag

    public void setETag(String eTag)

  Sets the entity tag generated from the part content.

  Parameters:
    `eTag` - the entity tag generated from the part content.

### getSize

    public long getSize()

  Returns the size of this part, in bytes.

  Returns:
    the size of this part, in bytes.

### setSize

    public void setSize(long size)

  Sets the size of this part, in bytes.

  Parameters:
    `size` - the size of this part, in bytes.

Copyright © 2016. All rights reserved.